Step 2. Start Assessment
curl --request PUT \
--url https://api.eka.care/assessment/api/v1/start/{assessment_id} \
--header 'auth: <api-key>' \
--header 'client-id: <client-id>'import requests
url = "https://api.eka.care/assessment/api/v1/start/{assessment_id}"
headers = {
"client-id": "<client-id>",
"auth": "<api-key>"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {'client-id': '<client-id>', auth: '<api-key>'}};
fetch('https://api.eka.care/assessment/api/v1/start/{assessment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"questions": [
{
"qid": 0,
"component_code": "I-ATSG",
"question_text": "Add all symptoms",
"tip": "Type here to search for symptoms.",
"component_data": {
"url": {
"base_url": "https://mdb.dev.eka.care/v1/sa-terms",
"query_params": {
"gender": "m",
"age": "23",
"src": "sn"
},
"search_query_param": "q"
},
"autosuggest_static_choices": {
"sections": [
{
"section_title": "Most Searched",
"choices": [
{
"id": "47258974-a65c-11eb-8d02-1e003a340630",
"common_name": "Fever"
},
{
"id": "473f9e54-a65c-11eb-8d02-1e003a340630",
"common_name": "Constipation"
},
{
"id": "471e8e62-a65c-11eb-8d02-1e003a340630",
"common_name": "Cough"
},
{
"id": "476efd70-a65c-11eb-8d02-1e003a340630",
"common_name": "Acidity"
},
{
"id": "4736971e-a65c-11eb-8d02-1e003a340630",
"common_name": "Diarrhoea"
},
{
"id": "4737ee0c-a65c-11eb-8d02-1e003a340630",
"common_name": "Vomiting"
},
{
"id": "4720607a-a65c-11eb-8d02-1e003a340630",
"common_name": "Headache",
"is_selected": true
},
{
"id": "47172c6c-a65c-11eb-8d02-1e003a340630",
"common_name": "Stomach ache"
}
]
}
]
}
},
"is_mandatory": true
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-MULT",
"question_text": "Select all the symptoms you are experiencing",
"tip": "Select all option(s) that are applicable to you.",
"component_data": {
"choices": [
{
"choice_id": "s_473b48a4-a65c-11eb-8d02-1e003a340630",
"choice_label": "Throat pain"
},
{
"choice_id": "s_475b7ca0-a65c-11eb-8d02-1e003a340630",
"choice_label": "Body aches"
},
{
"choice_id": "s_4739c8bc-a65c-11eb-8d02-1e003a340630",
"choice_label": "Loss of weight"
},
{
"choice_id": "s_1fd50722-af36-11eb-8fc3-1e003a340631",
"choice_label": "Runny nose or discharge from nose"
},
{
"choice_id": "s_4784e554-a65c-11eb-8d02-1e003a340630",
"choice_label": "Loss of sense of smell"
},
{
"choice_id": "nota",
"choice_label": "None of the above"
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-RADO",
"question_text": "Since when have you been experiencing fever",
"tip": "Select one of the options",
"component_data": {
"choices": [
{
"choice_id": "s_47259d92-a65c-11eb-8d02-1e003a340630",
"choice_label": "Less than 1 day"
},
{
"choice_id": "s_4725b232-a65c-11eb-8d02-1e003a340630",
"choice_label": "1 day to 4 days"
},
{
"choice_id": "s_4725c6a0-a65c-11eb-8d02-1e003a340630",
"choice_label": "More than 4 days"
},
{
"choice_id": "d_0e1592a4-e8c5-11eb-a89e-1e003a340631",
"choice_label": "I am not sure"
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-RADG",
"question_text": "Have you lost your sense of taste and feel like you can't get the taste of food that you are consuming?\"",
"tip": "Select one answer in each row.",
"component_data": {
"choices": [
{
"choice_id": "s_344147d6-b416-11eb-8c69-1e003a340631",
"choice_label": "Loss of taste",
"qualifier": [
{
"id": "p",
"label": "Yes"
},
{
"id": "a",
"label": "No"
},
{
"id": "u",
"label": "Don't Know"
}
]
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"error": {
"error_code": "missing_field",
"display_message": "Uh huh, you missed a required field",
"message": "Missing required field - [ Error in field `choice_id`: This field is required. ]"
}
}
Assessment APIS
Step 2. Start Assessment
This API is used to start and get the first question of the assessment.
Use this API to get the first question.
PUT
/
assessment
/
api
/
v1
/
start
/
{assessment_id}
Step 2. Start Assessment
{
"questions": [
{
"qid": 0,
"component_code": "I-ATSG",
"question_text": "Add all symptoms",
"tip": "Type here to search for symptoms.",
"component_data": {
"url": {
"base_url": "https://mdb.dev.eka.care/v1/sa-terms",
"query_params": {
"gender": "m",
"age": "23",
"src": "sn"
},
"search_query_param": "q"
},
"autosuggest_static_choices": {
"sections": [
{
"section_title": "Most Searched",
"choices": [
{
"id": "47258974-a65c-11eb-8d02-1e003a340630",
"common_name": "Fever"
},
{
"id": "473f9e54-a65c-11eb-8d02-1e003a340630",
"common_name": "Constipation"
},
{
"id": "471e8e62-a65c-11eb-8d02-1e003a340630",
"common_name": "Cough"
},
{
"id": "476efd70-a65c-11eb-8d02-1e003a340630",
"common_name": "Acidity"
},
{
"id": "4736971e-a65c-11eb-8d02-1e003a340630",
"common_name": "Diarrhoea"
},
{
"id": "4737ee0c-a65c-11eb-8d02-1e003a340630",
"common_name": "Vomiting"
},
{
"id": "4720607a-a65c-11eb-8d02-1e003a340630",
"common_name": "Headache",
"is_selected": true
},
{
"id": "47172c6c-a65c-11eb-8d02-1e003a340630",
"common_name": "Stomach ache"
}
]
}
]
}
},
"is_mandatory": true
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-MULT",
"question_text": "Select all the symptoms you are experiencing",
"tip": "Select all option(s) that are applicable to you.",
"component_data": {
"choices": [
{
"choice_id": "s_473b48a4-a65c-11eb-8d02-1e003a340630",
"choice_label": "Throat pain"
},
{
"choice_id": "s_475b7ca0-a65c-11eb-8d02-1e003a340630",
"choice_label": "Body aches"
},
{
"choice_id": "s_4739c8bc-a65c-11eb-8d02-1e003a340630",
"choice_label": "Loss of weight"
},
{
"choice_id": "s_1fd50722-af36-11eb-8fc3-1e003a340631",
"choice_label": "Runny nose or discharge from nose"
},
{
"choice_id": "s_4784e554-a65c-11eb-8d02-1e003a340630",
"choice_label": "Loss of sense of smell"
},
{
"choice_id": "nota",
"choice_label": "None of the above"
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-RADO",
"question_text": "Since when have you been experiencing fever",
"tip": "Select one of the options",
"component_data": {
"choices": [
{
"choice_id": "s_47259d92-a65c-11eb-8d02-1e003a340630",
"choice_label": "Less than 1 day"
},
{
"choice_id": "s_4725b232-a65c-11eb-8d02-1e003a340630",
"choice_label": "1 day to 4 days"
},
{
"choice_id": "s_4725c6a0-a65c-11eb-8d02-1e003a340630",
"choice_label": "More than 4 days"
},
{
"choice_id": "d_0e1592a4-e8c5-11eb-a89e-1e003a340631",
"choice_label": "I am not sure"
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"questions": [
{
"qid": 0,
"component_code": "I-RADG",
"question_text": "Have you lost your sense of taste and feel like you can't get the taste of food that you are consuming?\"",
"tip": "Select one answer in each row.",
"component_data": {
"choices": [
{
"choice_id": "s_344147d6-b416-11eb-8c69-1e003a340631",
"choice_label": "Loss of taste",
"qualifier": [
{
"id": "p",
"label": "Yes"
},
{
"id": "a",
"label": "No"
},
{
"id": "u",
"label": "Don't Know"
}
]
}
]
}
}
],
"progress": "0.00",
"is_last_question": false
}
{
"error": {
"error_code": "missing_field",
"display_message": "Uh huh, you missed a required field",
"message": "Missing required field - [ Error in field `choice_id`: This field is required. ]"
}
}
assessmentid generated from the init assessment API to start the assessment.
Response Formats
The reponse of the API will depend on the type of the component that is being used to ask the question. Refer to the Assessment Response Format documentation for different question component response format.API Details
Authorizations
The authentication token of the developer (generated using Authorization API).
Headers
Any unique string to identify the logged in developer.
Example:
"test-client"
Locale is used to determine the language of the assessment. Supported locales are en, hi, kn for english, hindi and kannada respectively with default being en.
Available options:
en, hi, kn Example:
"en"
Path Parameters
The hash that uniquely identifies the assessment session.
Response
OK
- Master Response
- ATSG Response
- Radio Response
- Multi Select Response
- Radio Group Response
Show child attributes
Show child attributes
This is the progress of the assessment in percentage format. It is a number between 0.00 and 100.00.
Required range:
0 <= x <= 100Example:
50
This is a boolean value. If true, this is the last question of the assessment and you can hit submit API.
Example:
false
Was this page helpful?
⌘I

